<?php
/*
 * ./lm_source/admin.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

if (!defined('SMF'))
	die('Hacking attempt...');

function lm__handlerFunc()
{

	// Globalization
	global $context, $scripturl, $settings;
	global $modSettings, $txt, $sourcedir, $membergroups;

	// Our resources please.
	require_once($sourcedir . '/lm_source/resources/general.php');

	// Our Membergroups
	if (cache_get_data('lab_membergroups', 120) != null)
		$membergroups = cache_get_data('lab_membergroups', 120);
	else
		$membergroups = loadMemberGroups();

	// Head Content
	$context['html_headers'] .= "\n" . '
		<link rel="stylesheet" type="text/css" href="' . $settings['theme_url'] . '/css/lm_css/main.css" />
		<script type="text/javascript">
			//<![CDATA[
			if (!window.jQuery) {
				document.write(unescape("%3Cscript type=\"text/javascript\" src=\"http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js\"%3E%3C/script%3E"));
			}
			else {
			}
			//]]>
		</script>
		<script type="text/javascript">
			//<![CDATA[
				$(document).ready(function() {
					// Enable / Disable
					var dis_enable = $("#lm_enable").val();
					if (dis_enable == "0") {
						$("#lm_enable").addClass("red");
						$("#additional_settings").slideUp("slow");
					}
					else {
						$("#lm_enable").addClass("green");
						$("#additional_settings").slideDown("slow");
					}
					$("#lm_enable").change(function() {
						if ($(this).val() == "0") {
							$(this).removeClass("green").addClass("red");
							$("#additional_settings").slideUp("slow");
						}
						else {
							$(this).removeClass("red").addClass("green");
							$("#additional_settings").slideDown("slow");
						}
					});
					// Number of Latest
					var lm_num_latest = $("#lm_num_latest").val();
					$("#lm_num_latest").addClass("grey").val(lm_num_latest.replace(lm_num_latest, lm_num_latest + " ' . $txt['lm_members'] . '" + (lm_num_latest >= 2 || lm_num_latest == 0 ? "' . $txt['lm_plural'] . '" : "")));
					if (lm_num_latest == "") {
					}
					else {
					}
					$("#lm_num_latest").focus(function() {
						var current_val = $(this).val();
						if (current_val == "") {
						}
						else {
							$(this).removeClass("grey").val(current_val.replace(" ' . $txt['lm_members'] . '", "").replace("' . $txt['lm_plural'] . '", ""));
						}
					}).blur(function() {
						var current_val = $(this).val();
						if (current_val == "") {
						}
						else {
							$(this).addClass("grey").val(current_val + " ' . $txt['lm_members'] . '" + (current_val >= 2 || current_val == 0 ? "' . $txt['lm_plural'] . '" : ""));
						}
					});
					// Check All / Uncheck All
					$("#primary_mgroups_check").click(function() {
						$("#primary_mgroups :input").attr("checked", "checked");
					});
					$("#primary_mgroups_uncheck").click(function() {
						$("#primary_mgroups :input").removeAttr("checked", "checked");
					});
					$("#postbased_mgroups_check").click(function() {
						$("#postbased_mgroups :input").attr("checked", "checked");
					});
					$("#postbased_mgroups_uncheck").click(function() {
						$("#postbased_mgroups :input").removeAttr("checked", "checked");
					});
					// Membergroups jQuery
					$("#expand_membergroups").click(function() {
						$("#membergroups_group").slideDown("slow");
						$("#collapse_membergroups").removeClass("hidden");
						$("#expand_membergroups").addClass("hidden");
					});
					$("#collapse_membergroups").click(function() {
						$("#membergroups_group").slideUp("slow");
						$("#expand_membergroups").removeClass("hidden");
						$("#collapse_membergroups").addClass("hidden");
					});
					//-- Check All 2 / Uncheck All 2
					$("#primary_mgroups_check_two").click(function() {
						$("#primary_mgroups_two :input").attr("checked", "checked");
					});
					$("#primary_mgroups_uncheck_two").click(function() {
						$("#primary_mgroups_two :input").removeAttr("checked", "checked");
					});
					$("#postbased_mgroups_check_two").click(function() {
						$("#postbased_mgroups_two :input").attr("checked", "checked");
					});
					$("#postbased_mgroups_uncheck_two").click(function() {
						$("#postbased_mgroups_two :input").removeAttr("checked", "checked");
					});
					//-- Membergroups jQuery Two
					$("#expand_membergroups_two").click(function() {
						$("#membergroups_group_two").slideDown("slow");
						$("#collapse_membergroups_two").removeClass("hidden");
						$("#expand_membergroups_two").addClass("hidden");
					});
					$("#collapse_membergroups_two").click(function() {
						$("#membergroups_group_two").slideUp("slow");
						$("#expand_membergroups_two").removeClass("hidden");
						$("#collapse_membergroups_two").addClass("hidden");
					});
					// Activate
					if ($("#lm_activated").val() == 3) {
						$("#activate_groups").fadeIn("slow");
					}
					else {
					}
					$("#lm_activated").change(function() {
						if ($(this).val() == 3) {
							$("#activate_groups").slideDown("slow");
						}
						else if ($(this).val() == 2) {
							$("#activate_groups").slideUp("slow");
						}
						else if ($(this).val() == 1) {
							$("#activate_groups").slideUp("slow");
						}
					});
					//-- Saved, have we?
					$("#profile_success").delay(250).slideDown("slow");
					$("#success_close").click(function() {
						$("#profile_success").slideUp("slow");
					});
				});
			//]]>
		</script>
	';

	// Int Only Fields...
	if (!$context['browser']['is_opera'])
	{
		$context['html_headers'] .= "\n" . '
			<script type="text/javascript" src="' . $settings['theme_url'] . '/scripts/lm_scripts/jquery.numeric.js"></script>
			<script type="text/javascript">
				//<![CDATA[
					$(document).ready(function() {
						$(".int_only").numeric({ negative: false });
					});
				//]]>
			</script>
		';
	}

	// Our Template & Language File
	loadTemplate('/lm_template/admin');
	loadLanguage('/lm_language/admin');

	// It is illegal to remove the copyright.
	$context['template_layers'][] = 'lmcopyright';

	// Then a sub-template.
	$context['sub_template'] = 'lm_admin';

	// A Page Title
	$context['page_title'] = $txt['lm_label'];

	// Form Processing
	if (isset($_POST['lm_enable']))
	{
		// Before we go further...
		checkSession('post', '', true);

		// Wash our variables.
		global $smcFunc;

		// 2 Empty Arrays.
		$visibility = array();
		$activate_to = array();

		// Possible Variables.
		$post_vars = array(
			'enable', 'num_latest',
			'visible_to', 'group_colour',
			'date_registered', 'activated',
			'activate_to', 'stats_page',
		);

		// If num_latest is there...
		if (isset($_POST['lm_num_latest']))
			$_POST['lm_num_latest'] = $_POST['lm_num_latest'] !== 0 || $_POST['lm_num_latest'] != '0 ' . $txt['lm_members'] . $txt['lm_plural'] ? $smcFunc['htmltrim'](preg_replace('/[^0-9]/', '', $_POST['lm_num_latest'])) : '0'; # get rid of alphabetical characters.

		// Validate who we're trying to show to.
		if (!empty($_POST['lm_visible_to']) && is_array($_POST['lm_visible_to']))
		{
			// Loop da loop.
			foreach ($_POST['lm_visible_to'] as $key => $value)
			{
				// Validate the group id, and define it.
				if (in_array($value, $membergroups['id_array']))
					$visibility[] = $value;
			}
		}
		// Did we set an activate level?
		if (!empty($_POST['lm_activated']))
		{
			// No clowns, make sure we're still receiving an int.
			$_POST['lm_activated'] = (int) $_POST['lm_activated'];

			// Verify our last definition.
			if (!empty($_POST['lm_activated']) && $_POST['lm_activated'] == 3)
			{
				// Are we trying to show unactivated members to certain groups?
				if (!empty($_POST['lm_activate_to']) && is_array($_POST['lm_activate_to']))
				{
					// Loop through the desired groups.
					foreach ($_POST['lm_activate_to'] as $key => $value)
					{
						// Validate it's a proper group id, and proceed.
						if (in_array($value, $membergroups['id_array']))
							$activate_to[] = $value;
					}
				}
			}
			// Otherwise, unset the $_POST variable.
			else
				unset($_POST['lm_activate_to']);
		}

		// Time to start finalizing things.
		$final_array = array();

		// Loop through our expected variables.
		foreach ($post_vars as $key)
		{

			// Four toggles can be grouped together.
			if ($key === 'enable' || $key === 'group_colour' || $key === 'date_registered' || $key === 'stats_page')
			{
				if ($_POST['lm_' . $key] == 0 || $_POST['lm_' . $key] == 1)
					$final_array['lm_' . $key] = $_POST['lm_' . $key];
			}
			// This is for the remaining fields, not arrays - either.
			elseif (!empty($_POST['lm_' . $key]) && $key !== 'visible_to' && $key !== 'activate_to' && $key !== 'num_latest')
				$final_array['lm_' . $key] = $_POST['lm_' . $key];
			// How many, did you say?
			elseif (isset($_POST['lm_' . $key]) && $key === 'num_latest')
				$final_array['lm_' . $key] = $_POST['lm_' . $key];
			// Two arrays; implode(); them.
			elseif (!empty($_POST['lm_' . $key]) && $key === 'visible_to')
				$final_array['lm_' . $key] = implode(',', $visibility);
			elseif (!empty($_POST['lm_' . $key]) && $key === 'activate_to')
				$final_array['lm_' . $key] = implode(',', $activate_to);
			// They're gone!!! =(
			elseif ($key === 'visible_to' || $key === 'activate_to')
				$final_array['lm_' . $key] = '0';
		}

		// Assuming we CHANGED something.
		if (!empty($final_array))
		{
			// Update the Settings.
			updateSettings($final_array);

			// Reload $modSettings.
			reloadSettings();

			// Clean our cache.
			clean_cache();

			// Then send 'em back.
			redirectexit('action=admin;area=latest_members;saved');
		}
	}

}