<?php
/*
 * ./lm_source/main.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

if (!defined('SMF'))
	die('Hacking attempt...');

/*
	- Initializes everything we need for our Latest Members block.
	- Contains all source/logic for our block.
*/
function latestMembersController()
{

	// Our Global Variables.
	global $sourcedir, $user_info, $modSettings;
	global $killswitch, $visible, $lm_id, $latest_members;

	// Might be useful at some point ;)
	require_once($sourcedir . '/lm_source/resources/general.php');

	// Enabled | Disabled (aka. Killswitch)
	$killswitch = isset($modSettings['lm_enable']) && $modSettings['lm_enable'] == 0 ? true : false;

	// If we're disabled, might as well leave now.
	if (!isset($killswitch) || $killswitch === true)
		return;
	// Or 0 latest members...
	if ((isset($modSettings['lm_num_latest']) && $modSettings['lm_num_latest'] == 0) || !isset($modSettings['lm_num_latest']))
		return $killswitch = true;

	// Are our latest members in the cache?
	if (cache_get_data('lab_latest_members', 120) != null)
		$latest_members = cache_get_data('lab_latest_members', 120);
	// If not, retrieve them directly.
	else
		$latest_members = initializeLM();

	// Now, we determine who can see us.
	if (isset($modSettings['lm_visible_to']))
	{
		// If we're visible to someone, attempt to determine whether the user can see us or not.
		if (!empty($modSettings['lm_visible_to']) && $modSettings['lm_visible_to'] != 0)
		{
			// We can, let's cause an explosion of our comma separated list.
			$exploded_visible = explode(',', $modSettings['lm_visible_to']);

			// Loop through our explosion (array).
			foreach ($exploded_visible as $value)
			{
				// Cross-check the $value with the users group(s).
				if (in_array($value, $user_info['groups']))
				{
					// Oh, you're cool!
					$visible = 1;
					break;
				}
			}
		}
		// No reason to continue.
		else
			$visible = 0;
	}

	// One more chance to kick them out, here.
	if (isset($visible) && $visible === 0)
		return;

	// By default, only activated members for viewing.
	$lm_id = 'activated';

	// That is, unless it's set to non-activated + activated.
	if (isset($modSettings['lm_activated']) && $modSettings['lm_activated'] == 1)
		$lm_id = 'all';
	// There's only one other way to see unactivated members.
	elseif (isset($modSettings['lm_activated']) && $modSettings['lm_activated'] == 3 && !empty($modSettings['lm_activate_to']))
	{
		// We start as false.
		$return = false;

		// Another explosion of who can see nonactivated.
		$exploded_groups = explode(',', $modSettings['lm_activate_to']);

		// Then, our for(); loop to determine whether we can see them or not.
		for ($count = 0; $return !== true && $count !== count($exploded_groups); $count++)
		{
			// Copy the structure of foreach();
			if (isset($exploded_groups[$count]))
				$key = $exploded_groups[$count];
			else
				continue;

			// If we can...change the id to 'all' mode.
			if (in_array($key, $user_info['groups']))
			{
				$lm_id = 'all';
				$return = true; # ends the loop
			}
		}
	}

	// Load the template itself.
	loadTemplate('lm_template/main');

	// Anddd the language ;)
	loadLanguage('lm_language/main');

}