<?php
/*
 * ./lm_template/admin.template.php
 * Latest Member(s)
 *
 * @author Labradoodle-360
 * @version 1.0.5
 * @copyright Matthew Kerle 2012
*/

function template_lm_admin()
{

	// Globalization.
	global $txt, $context, $scripturl, $settings, $membergroups, $modSettings;

	// Two explosions...
	if (!empty($modSettings['lm_visible_to']))
		$selected_groups = explode(',', $modSettings['lm_visible_to']);
	else
		$selected_groups[] = 0;
	if (!empty($modSettings['lm_activate_to']))
		$activate_to = explode(',', $modSettings['lm_activate_to']);
	else
		$activate_to[] = 0;

	// Saved, have we?
	if (isset($_REQUEST['saved']))
	{
		echo '
			<div id="profile_success" class="hidden">
				<div class="floatleft" style="width: 50%;">
					<span class="floatleft" style="width: 18px; margin-bottom: 1px; margin-right: 4px;">
						<img src="', $settings['images_url'], '/lm_images/tick-circle.png" alt="" />
					</span>
					', $txt['lm_saved'], '
				</div>
				<div class="floatright" style="width: 50%; text-align: right; margin-top: 2px;">
					<img src="', $settings['images_url'], '/lm_images/cross.png" alt="', $txt['lm_close'], '" title="', $txt['lm_close'], '" id="success_close" />
				</div>
				<br class="clear" />
			</div>
		';
	}

	// Our Settings.
	echo '
		<div class="cat_bar" style="height: 28px;">
			<h3 class="catbg">
				<span class="floatleft" style="width: 18px; margin-right: 4px; margin-top: 6px;">
					<img src="', $settings['images_url'], '/lm_images/user_silhouette.png" alt="" />
				</span>
				<span>', $txt['lm_label'], '</span>
			</h3>
		</div>
		<div class="roundframe rfix">
			<div class="innerframe">
				<div class="content">
					<form action="', $scripturl, '?action=admin;area=latest_members" method="post">
						<!-- ENABLE / DISABLE -->
						<div class="floatleft" style="width: 30%;">
							<label for="lm_enable">
								<span class="bold">', $txt['lm_enable'], ':</span>
							</label>
							<div class="smalltext">', $txt['lm_desc_enable'], '</div>
						</div>
						<div class="floatright" style="width: 70%; text-align: left;">
							<select id="lm_enable" name="lm_enable" class="bloat custom_input">
								<optgroup label="', $txt['lm_options'], ':" class="black">
									<option value="1" class="green"', isset($modSettings['lm_enable']) && $modSettings['lm_enable'] == 1 || !isset($modSettings['lm_enable']) ? ' selected="selected"' : '', '>', $txt['lm_enabled'], '</option>
									<option value="0" class="red"', isset($modSettings['lm_enable']) && $modSettings['lm_enable'] == 0 ? ' selected="selected"' : '', '>', $txt['lm_disabled'], '</option>
								</optgroup>
							</select>
						</div>
						<br class="clear" />
						<hr />
						<div id="additional_settings">
							<!-- NUMBER OF LATEST -->
							<div class="floatleft" style="width: 30%;">
								<label for="lm_num_latest">
									<span class="bold">', $txt['lm_num_latest'], ':</span>
								</label>
								<div class="smalltext">', $txt['lm_desc_num_latest'], '</div>
							</div>
							<div class="floatright" style="width: 70%; text-align: left;">
								<input type="text" id="lm_num_latest" name="lm_num_latest" class="int_only input_text bloat custom_input" maxlength="255" value="', !isset($modSettings['lm_num_latest']) ? 1 : $modSettings['lm_num_latest'], '" />
							</div>
							<br class="clear" />
							<hr />
							<!-- VISIBLE TO -->
							<div class="floatleft" style="width: 30%;">
								<label for="lm_visible_to">
									<span class="bold">', $txt['lm_visible_to'], ':</span>
								</label>
								<div class="smalltext">', $txt['lm_desc_visible_to'], '</div>
							</div>
							<div class="floatright" style="width: 70%; text-align: left;">
								<div id="collapse_membergroups" class="hidden fake_link">[', $txt['lm_collapse_mgroups'], ']</div>
								<div id="expand_membergroups" class="fake_link">[', $txt['lm_expand_mgroups'], ']</div>
								<div id="membergroups_group" class="hidden" style="margin-top: 15px;">
									<div class="floatleft" style="width: 50%;" id="primary_mgroups">
										<strong>', $txt['lm_primary'], '</strong>&nbsp;
										(<span class="fake_link smalltext" id="primary_mgroups_check">', $txt['lm_check'], '</span>
										&nbsp;/&nbsp;
										<span class="fake_link smalltext" id="primary_mgroups_uncheck">', $txt['lm_uncheck'], '</span>)
										<hr />';
										foreach ($membergroups['primary'] as $act => $membergroup)
										{
											echo '
												<div style="margin-bottom: -9px;">
													<div class="floatleft" style="width: 6%;">
														<input type="checkbox" value="', $act, '" class="input_check" id="', $act, '" name="lm_visible_to[]"', !empty($selected_groups) && !in_array($act, $selected_groups) || !isset($modSettings['lm_visible_to']) ? '' : ' checked="checked"', ' />
													</div>
													<div class="floatright" style="width: 94%; margin-top: 2px; text-align: left;">
														<label for="', $act, '">
															<span', !empty($membergroup['color']) ? ' style="color: ' . $membergroup['color'] . ';"' : '', '">', $membergroup['name'], $txt['lm_plural'], '</span>
														</label>
													</div>
													<br class="clear" />
													<br />
												</div>
											';
										}
										echo '
									</div>
									<div class="floatright" style="width: 50%;" id="postbased_mgroups">
										<strong>', $txt['lm_post_based'], '</strong>&nbsp;
										(<span class="fake_link smalltext" id="postbased_mgroups_check">', $txt['lm_check'], '</span>
										&nbsp;/&nbsp;
										<span class="fake_link smalltext" id="postbased_mgroups_uncheck">', $txt['lm_uncheck'], '</span>)
										<hr />';
										foreach ($membergroups['post_based'] as $act => $membergroup)
										{
											echo '
												<div style="margin-bottom: -9px;">
													<div class="floatleft" style="width: 6%;">
														<input type="checkbox" value="', $act, '" class="input_check" id="', $act, '" name="lm_visible_to[]"', !empty($selected_groups) && in_array($act, $selected_groups) ? ' checked="checked"' : '', ' />
													</div>
													<div class="floatright" style="width: 94%; margin-top: 2px; text-align: left;">
														<label for="', $act, '">
															<span', !empty($membergroup['color']) ? ' style="color: ' . $membergroup['color'] . ';"' : '', '"><em>', $membergroup['name'], $txt['lm_plural'], '</em></span>
														</label>
													</div>
													<br class="clear" />
													<br />
												</div>
											';
										}
										echo '
									</div>
									<br class="clear" />
								</div>
							</div>
							<br class="clear" />
							<hr />
							<!-- GROUP COLOUR -->
							<div class="floatleft" style="width: 30%;">
								<label for="lm_group_colour">
									<span class="bold">', $txt['lm_group_colour'], ':</span>
								</label>
								<div class="smalltext">', $txt['lm_desc_group_colour'], '</div>
							</div>
							<div class="floatright" style="width: 70%; text-align: left;">
								<select name="lm_group_colour" id="lm_group_colour" class="bloat custom_input">
									<optgroup label="', $txt['lm_options'], ':">
										<option value="1"', isset($modSettings['lm_group_colour']) && $modSettings['lm_group_colour'] == 1 || !isset($modSettings['lm_group_colour']) ? ' selected="selected"' : '', '>', $txt['lm_yes'], '</option>
										<option value="0"', isset($modSettings['lm_group_colour']) && $modSettings['lm_group_colour'] == 0 ? ' selected="selected"' : '', '>', $txt['lm_no'], '</option>
									</optgroup>
								</select>
							</div>
							<br class="clear" />
							<hr />
							<!-- REGISTERED DATE -->
							<div class="floatleft" style="width: 30%;">
								<label for="lm_date_registered">
									<span class="bold">', $txt['lm_date_registered'], ':</span>
								</label>
								<div class="smalltext">', $txt['lm_desc_date_registered'], '</div>
							</div>
							<div class="floatright" style="width: 70%; text-align: left;">
								<select name="lm_date_registered" id="lm_date_registered" class="bloat custom_input">
									<optgroup label="', $txt['lm_options'], ':">
										<option value="1"', isset($modSettings['lm_date_registered']) && $modSettings['lm_date_registered'] == 1 || !isset($modSettings['lm_date_registered']) ? ' selected="selected"' : '', '>', $txt['lm_yes'], '</option>
										<option value="0"', isset($modSettings['lm_date_registered']) && $modSettings['lm_date_registered'] == 0 ? ' selected="selected"' : '', '>', $txt['lm_no'], '</option>
									</optgroup>
								</select>
							</div>
							<br class="clear" />
							<hr />
							<!-- ACTIVATED / UNACTIVATED -->
							<div class="floatleft" style="width: 30%;".
								<label for="lm_activated">
									<span class="bold">', $txt['lm_activated'], ':</span>
								</label>
								<div class="smalltext">', $txt['lm_desc_activated'], '</div>
							</div>
							<div class="floatright" style="width: 70%; text-align: left;">
								<select name="lm_activated" id="lm_activated" class="bloat custom_input">
									<optgroup label="', $txt['lm_options'], ':">
										<option value="1"', !isset($modSettings['lm_activated']) || isset($modSettings['lm_activated']) && $modSettings['lm_activated'] == 1 ? ' selected="selected"' : '', '>', $txt['lm_everyone'], '</option>
										<option value="2"', isset($modSettings['lm_activated']) && $modSettings['lm_activated'] == 2 ? ' selected="selected"' : '', '>', $txt['lm_none'], '</option>
										<option value="3"', isset($modSettings['lm_activated']) && $modSettings['lm_activated'] == 3 ? ' selected="selected"' : '', '>', $txt['lm_determine'], '</option>
									</optgroup>
								</select>
								<div id="activate_groups" class="hidden">
									<div id="collapse_membergroups_two" class="hidden fake_link">[', $txt['lm_collapse_mgroups'], ']</div>
									<div id="expand_membergroups_two" class="fake_link">[', $txt['lm_expand_mgroups'], ']</div>
									<div id="membergroups_group_two" class="hidden" style="margin-top: 15px;">
										<div class="floatleft" style="width: 50%;" id="primary_mgroups_two">
											<strong>', $txt['lm_primary'], '</strong>&nbsp;
											(<span class="fake_link smalltext" id="primary_mgroups_check_two">', $txt['lm_check'], '</span>
											&nbsp;/&nbsp;
											<span class="fake_link smalltext" id="primary_mgroups_uncheck_two">', $txt['lm_uncheck'], '</span>)
											<hr />';
											foreach ($membergroups['primary'] as $act => $membergroup)
											{
												echo '
													<div style="margin-bottom: -9px;">
														<div class="floatleft" style="width: 6%;">
															<input type="checkbox" value="', $act, '" class="input_check" id="', $act, '_two" name="lm_activate_to[]"', !empty($activate_to) && !in_array($act, $activate_to) || !isset($modSettings['lm_activate_to']) && $act == 1 ? '' : ' checked="checked"', ' />
														</div>
														<div class="floatright" style="width: 94%; margin-top: 2px; text-align: left;">
															<label for="', $act, '_two">
																<span', !empty($membergroup['color']) ? ' style="color: ' . $membergroup['color'] . ';"' : '', '">', $membergroup['name'], $txt['lm_plural'], '</span>
															</label>
														</div>
														<br class="clear" />
														<br />
													</div>
												';
											}
											echo '
										</div>
										<div class="floatright" style="width: 50%;" id="postbased_mgroups_two">
											<strong>', $txt['lm_post_based'], '</strong>&nbsp;
											(<span class="fake_link smalltext" id="postbased_mgroups_check_two">', $txt['lm_check'], '</span>
											&nbsp;/&nbsp;
											<span class="fake_link smalltext" id="postbased_mgroups_uncheck_two">', $txt['lm_uncheck'], '</span>)
											<hr />';
											foreach ($membergroups['post_based'] as $act => $membergroup)
											{
												echo '
													<div style="margin-bottom: -9px;">
														<div class="floatleft" style="width: 6%;">
															<input type="checkbox" value="', $act, '" class="input_check" id="', $act, '_two" name="lm_activate_to[]"', !empty($activate_to) && in_array($act, $activate_to) ? ' checked="checked"' : '', ' />
														</div>
														<div class="floatright" style="width: 94%; margin-top: 2px; text-align: left;">
															<label for="', $act, '_two">
																<span', !empty($membergroup['color']) ? ' style="color: ' . $membergroup['color'] . ';"' : '', '"><em>', $membergroup['name'], $txt['lm_plural'], '</em></span>
															</label>
														</div>
														<br class="clear" />
														<br />
													</div>
												';
											}
											echo '
										</div>
										<br class="clear" />
									</div>
								</div>
							</div>
							<br class="clear" />
							<hr />
							<!-- STATS PAGE BLOCK -->
							<div class="floatleft" style="width: 30%;">
								<label for="lm_stats_page">
									<span class="bold">', $txt['lm_stats_page'], ':</span>
								</label>
								<div class="smalltext">', $txt['lm_desc_stats_page'], '</div>
							</div>
							<div class="floatright" style="width: 70%; text-align: left;">
								<select name="lm_stats_page" id="lm_stats_page" class="bloat custom_input">
									<optgroup label="', $txt['lm_options'], ':">
										<option value="1"', isset($modSettings['lm_stats_page']) && $modSettings['lm_stats_page'] == 1 || !isset($modSettings['lm_stats_page']) ? ' selected="selected"' : '', '>', $txt['lm_yes'], '</option>
										<option value="0"', isset($modSettings['lm_stats_page']) && $modSettings['lm_stats_page'] == 0 ? ' selected="selected"' : '', '>', $txt['lm_no'], '</option>
									</optgroup>
								</select>
							</div>
							<br class="clear" />
							<hr />
						</div>
						<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
						<input type="submit" value="', $txt['lm_submit'], '" class="button_submit bloat" />
					</form>
				</div>
			</div>
		</div>
		<span class="lowerframe"><span></span></span>
	';

}

// It is illegal to remove the copyright.
function template_lmcopyright_above() {
}
function template_lmcopyright_below()
{
	global $txt;
	echo '
		<div class="smalltext centertext">', $txt['lm_copyright'], '</div>
	';
}